class Score
{
private:
    int time = 0;
    int *_s;
    int _size;

public:
    Score(int i)
    {
        _size = i;
        _s = new int[_size - 1];
        for (int i = 0; i < _size; i++)
        {
            _s[i] = 0;
        }
    }
    void finish(int t)
    {
        _s[t] = 3 - 1 - (time++);
    }
    bool isFinish(int i)
    {
        if (_s[i] > 0)
            return true;
        return false;
    }
    int score(int i)
    {
        return _s[i];
    }
    bool isallFinish()
    {
        for (int i = 0; i < _size; i++)
        {
            if (!isFinish(i))
                return false;
        }
        return true;
    }
};